import { Component, OnInit } from '@angular/core';
import { Router } from '@angular/router';

@Component({
  selector: 'app-portal-category-list',
  templateUrl: './portal-category-list.component.html',
  styleUrls: ['./portal-category-list.component.scss']
})
export class PortalCategoryListComponent implements OnInit {

  constructor(
    private routes: Router
  ) {}

  page = 1;
  pageSize = 7;

  testdata: {
    id:string;
    img: String;
    name: String;
    details: String;
    document: String;
  }[] = [];

  ngOnInit() {

    this.testdata = [
      {
        id:'1',
        img: "assets/images/icon/excel.png",
        name: "Excel",
        details: "xxxxxxxxxxxxxxxxxxxxxxxxxxx",
        document: "จำนวนเอกสาร 8 ฉบับ"
      },
      {
        id:'2',
        img: "assets/images/icon/document.png",
        name: "Document",
        details: "xxxxxxxxxxxxxxxxxxxxxxxxxxx",
        document: "จำนวนเอกสาร 3 ฉบับ"
      },
      {
        id:'3',
        img: "assets/images/icon/course.png",
        name: "Course",
        details: "xxxxxxxxxxxxxxxxxxxxxxxxxxx",
        document: "จำนวนเอกสาร 5 ฉบับ"
      },
    ];
  }

  openView(id:string){
    if(id =='1'){
      this.routes.navigate(['apps/view-list-excel']);
    }else if(id =='2'){
      this.routes.navigate(['apps/view-list-doc']);
    }else if(id =='3'){
      this.routes.navigate(['apps/view-list-course']);
    }
  }

}
